Summary: ftp client with a nice interface and firewall modifications
Name: ncftp-fw
Version: 2.3.0
Release: 3
Copyright: distributable
Group: Applications/Networking
Source: ftp.probe.com:/pub/ncftp/ncftp-2.3.0.tgz
Patch0: ncftp-fw-bind.diff
BuildRoot: /tmp/ncftp-fw-build
Packager: Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
Conflicts: ncftp

%description
NcFTP is a ftp client with many advantageous over the standard one. It
includes command line editing, command histories, support for recurisive
gets, automatic logins, and much more.

The ncftp-fw package is a version of NcFTP modified for use through
firewalls.  Currently modifications from the standard NcFTP are:
1) Make passive (PASV) mode the default.
2) Bind the data connection to a port in the range 33000-33099.

%changelog
* Fri Aug 22 1997 Paul H. Hargrove <hargrove@sccm.Stanford.EDU> 2.3.0-3
- Change port binding to the range 33000-33099 since the kernel will
  not assign ports above 32767 at random.
- Add the 'conflicts' tag for ncftp.

* Sat Aug 16 1997 Paul H. Hargrove <hargrove@sccm.Stanford.EDU> 2.3.0-2
- Bind local end of data connection to the range 7500-7599 in both modes.

* Thu Aug 14 1997 Paul H. Hargrove <hargrove@sccm.Stanford.EDU> 2.3.0-1
- Make PASV mode the default, with fallback to PORT mode if needed.
- Make passive mode bind the local end of the data connection to
  a TCP port in the range 7500-7999.
- Use BuildRoot and %attr

%prep
%setup -n ncftp-%{PACKAGE_VERSION}
%patch0 -p1 -b .bind
CFLAGS="$RPM_OPT_FLAGS -DFTP_DATA_PORT_MODE=2" ./configure --prefix=/usr
%build
make

%install
install -d ${RPM_BUILD_ROOT}/usr/bin
install -m 755 -s ncftp ${RPM_BUILD_ROOT}/usr/bin
install -d ${RPM_BUILD_ROOT}/usr/man/man1
install -m 644 ncftp.1 ${RPM_BUILD_ROOT}/usr/man/man1

%files
%attr(755, root, root) /usr/bin/ncftp
%attr(644, root, root) /usr/man/man1/ncftp.1
